add new and delete old

the new ebuild now handles external storage engines differently


git-svn-id: https://svn.disconnected-by-peer.at/svn/linamh/trunk/mysql@1572 6952d904-891a-0410-993b-d76249ca496b
This commit is contained in:
geos_one 2009-11-28 06:58:07 +00:00
parent 0174e49f81
commit f52fc1b455
3 changed files with 1 additions and 148 deletions

View File

@ -1,12 +1,8 @@
DIST mysql-5.0.83.tar.gz 35937401 RMD160 b6a525c865322fb1b796c07d306193a98de37c27 SHA1 5e831a12f1dab902e4af6e3cf495bddf6fa1fd33 SHA256 f7d3ac87693de8d0f4ddf457c268107b0d538a0b577f1c2596a8a28eb0bdd1c4
DIST mysql-5.1.41.tar.gz 23026814 RMD160 f99d17a2bb43fc45222c7015a3b65c6b4f686129 SHA1 04f7cf87419ca233c2508c2912d72548767b7e2c SHA256 5cb721db43a5f61710d8503813adef335cb1b738c7164e3d7d2a9681af8dbc16
DIST mysql-extras-20090706-1838Z.tar.bz2 496474 RMD160 c7a51d7adc21f3befe29641e74a66463fcef01cc SHA1 50831fc861b1c68a08a912df560d920435622630 SHA256 599bf226de7c33e7f01a78f7171f8677a5b38a5b19d371f3a45ba868cb43aec7
DIST mysql-storage-pbxt-1.0.09e-rc-gentoo.tar.gz 3302565 RMD160 04628ae993190cc6506a29f00d5801b37c4e9690 SHA1 b48624884263df31a872b223685f1c9518815ab4 SHA256 8713d2fc82d3defa46f977f78978a2a31fe6a0fcfd1065134c817ef63d9d471e
DIST mysql-storage-revision-0.2-alpha-gentoo.tar.gz 130905 RMD160 a90cfdef2bca2f36de6970184534a5f398e7582f SHA1 391ce75592e5e1c0ec390565649bc32e40c9437b SHA256 dc21661cf7a66030468c41d8c1a552873e6d90a48018abf85eda89b0173ac998
DIST mysql-storage-soliddb-0081-gentoo.tar.gz 2278377 RMD160 705c2d1460d067385319ec4f6890a1798d33a286 SHA1 a5be03fd8e80f3e650257d60024672ec76ad60c4 SHA256 8e794aab8b6bdbab103004c70beecdcef8e85ca4db10cc16fff4a7e4641bfcba
DIST mysql-storage-xtradb-1.0.4-8-gentoo.tar.gz 1405802 RMD160 f7309e893ad439cc7ea351a0851a380a0321d771 SHA1 5fa76185c638cbc961a03fb1b007dbb030e590d4 SHA256 aa6cc2617169e0045d40c9faee6fdc7dff3b4d4a08d7952abbfcbec2a7e27a7c
EBUILD mysql-5.0.83.ebuild 4686 RMD160 a1445cdfd063a53edf542900d416970b0f26a340 SHA1 8eed3668992d760d9548a52ee1b00f2bbd7928f4 SHA256 76dd7c7257762ac4a4dc7aaf2ef7cf06235e58afd99d17f0c4fec010018a1f68
EBUILD mysql-5.1.41-r1.ebuild 2498 RMD160 72e42e25ce16bcf8b021131a5d58d331fe3af13b SHA1 3919cb245d3da9f4066f89374d34a45e743aec12 SHA256 0a5ae134ce80f65448b8f5c07cf68c6d0e7d785b8f55f9ef787f3f9ff890b12d
EBUILD mysql-5.1.41.ebuild 2479 RMD160 ab78d5429623b281c258f5b2a193de80b0b86288 SHA1 20d3737b49c1ae5707c8dd39d7271b4e249e1058 SHA256 f91888cb038d345e8faa7713274acf93a6ff148aa795db8c64c86967456864b2
MISC ChangeLog 93560 RMD160 aed909217060a3f8f4ebc5bad40c73ec68eb8d02 SHA1 094ac6939e4d285cc9a65a3bd489a467c7b0c4c2 SHA256 afe9da58bdc9438f929dcf1da932571a792442861d9a34bc52aee3ee074a2e30
MISC metadata.xml 918 RMD160 ee023d3ae746d0d29ac387c1c87f3f8dec7c9568 SHA1 10ef755d319f93d02de705b3158f4e73aca28af4 SHA256 046a9880921c49fea8861a819c1afd27fc5a873dea28b80b040da2733e029c47

View File

@ -1,142 +0,0 @@
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/dev-db/mysql/mysql-5.0.83.ebuild,v 1.1 2009/07/06 19:08:59 robbat2 Exp $
MY_EXTRAS_VER="20090706-1838Z"
EAPI=2
inherit toolchain-funcs mysql
# only to make repoman happy. it is really set in the eclass
IUSE="$IUSE"
# REMEMBER: also update eclass/mysql*.eclass before committing!
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~sparc-fbsd ~x86 ~x86-fbsd"
# When MY_EXTRAS is bumped, the index should be revised to exclude these.
EPATCH_EXCLUDE=''
# Please do not add a naive src_unpack to this ebuild
# If you want to add a single patch, copy the ebuild to an overlay
# and create your own mysql-extras tarball, looking at 000_index.txt
# Official test instructions:
# USE='berkdb cluster embedded extraengine' \
# FEATURES='test userpriv -usersandbox' \
# ebuild mysql-X.X.XX.ebuild \
# digest clean package
src_test() {
# Bug #213475 - MySQL _will_ object strenously if your machine is named
# localhost. Also causes weird failures.
[[ "${HOSTNAME}" == "localhost" ]] && die "Your machine must NOT be named localhost"
emake check || die "make check failed"
if ! use "minimal" ; then
if [[ $UID -eq 0 ]]; then
die "Testing with FEATURES=-userpriv is no longer supported by upstream. Tests MUST be run as non-root."
fi
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
cd "${S}"
einfo ">>> Test phase [test]: ${CATEGORY}/${PF}"
local retstatus1
local retstatus2
local t
addpredict /this-dir-does-not-exist/t9.MYI
# Ensure that parallel runs don't die
export MTR_BUILD_THREAD="$((${RANDOM} % 100))"
# archive_gis really sucks a lot, but it's only relevant for the
# USE=extraengines case
case ${PV} in
5.0.42)
mysql_disable_test "archive_gis" "Totally broken in 5.0.42"
;;
5.0.4[3-9]|5.0.[56]*|5.0.70)
[ "$(tc-endian)" == "big" ] && \
mysql_disable_test \
"archive_gis" \
"Broken in 5.0.43-70 on big-endian boxes only"
;;
esac
# This was a slight testcase breakage when the read_only security issue
# was fixed.
case ${PV} in
5.0.54|5.0.51*)
mysql_disable_test \
"read_only" \
"Broken in 5.0.51-54, output in wrong order"
;;
esac
# Ditto to read_only
[ "${PV}" == "5.0.51a" ] && \
mysql_disable_test \
"view" \
"Broken in 5.0.51, output in wrong order"
# x86-specific, OOM issue with some subselects on low memory servers
[ "${PV}" == "5.0.54" ] && \
[ "${ARCH/x86}" != "${ARCH}" ] && \
mysql_disable_test \
"subselect" \
"Testcase needs tuning on x86 for oom condition"
# Broke with the YaSSL security issue that didn't affect Gentoo.
[ "${PV}" == "5.0.56" ] && \
for t in openssl_1 rpl_openssl rpl_ssl ssl \
ssl_8k_key ssl_compress ssl_connect ; do \
mysql_disable_test \
"$t" \
"OpenSSL tests broken on 5.0.56"
done
# New test was broken in first time
# Upstream bug 41066
# http://bugs.mysql.com/bug.php?id=41066
[ "${PV}" == "5.0.72" ] && \
mysql_disable_test \
"status2" \
"Broken in 5.0.72, new test is broken, upstream bug #41066"
# SSL certs expired shortly after the release of 5.0.76. Affects older
# versions as well.
case ${PV} in
5.0.?|5.0.[1-6]*|5.0.7[0-6])
for t in openssl_1 rpl_openssl rpl_ssl ssl ssl_8k_key \
ssl_compress ssl_connect ; do \
mysql_disable_test \
"$t" \
"OpenSSL tests broken in 5.0.76 due to expired certificates"
done
;;
esac
# create directories because mysqladmin might right out of order
mkdir -p "${S}"/mysql-test/var-{ps,ns}{,/log}
# We run the test protocols seperately
make -j1 test-ns force="--force --vardir=${S}/mysql-test/var-ns"
retstatus1=$?
[[ $retstatus1 -eq 0 ]] || eerror "test-ns failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
make -j1 test-ps force="--force --vardir=${S}/mysql-test/var-ps"
retstatus2=$?
[[ $retstatus2 -eq 0 ]] || eerror "test-ps failed"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
# Cleanup is important for these testcases.
pkill -9 -f "${S}/ndb" 2>/dev/null
pkill -9 -f "${S}/sql" 2>/dev/null
failures=""
[[ $retstatus1 -eq 0 ]] || failures="test-ns"
[[ $retstatus2 -eq 0 ]] || failures="${failures} test-ps"
has usersandbox $FEATURES && eerror "Some tests may fail with FEATURES=usersandbox"
[[ -z "$failures" ]] || die "Test failures: $failures"
einfo "Tests successfully completed"
else
einfo "Skipping server tests due to minimal build."
fi
}

View File

@ -5,8 +5,7 @@
#MY_EXTRAS_VER="20090713-1758Z"
MY_EXTRAS_VER="live"
#SERVER_URI="mirror://gentoo/MySQL-${PV%.*}/mysql-${PV//_/-}.tar.gz"
PBXT_VERSION="1.0.09-rc"
SOLIDDB_VERSION="5.1.22-beta-0080"
MYSQL_STORAGE="pbxt-1.0.09e-rc revision-0.2-alpha soliddb-0081 xtradb-1.0.4-8"
inherit mysql
# only to make repoman happy. it is really set in the eclass